Draw a string horizontally

- « imagesettile

- imagestringup »

- PHP Manual
- GD and Image Functions
- Draw a string horizontally

# imagestring

(PHP 4, PHP 5, PHP 7, PHP 8)

imagestring — Draw a string horizontally

### Description

imagestring(
GdImage `$image`,
GdFont|int `$font`,
int `$x`,
int `$y`,
string `$string`,
int `$color`
): bool

Draws a `string` at the given coordinates.

### Parameters

`image`

  A GdImage object, returned by one of the image creation functions, such as imagecreatetruecolor().

`font`

  Can be 1, 2, 3, 4, 5 for built-in fonts in latin2 encoding (where higher numbers corresponding to larger fonts) or GdFont instance, returned by imageloadfont().

`x`

  x-coordinate of the upper left corner.

`y`

  y-coordinate of the upper left corner.

`string`

  The string to be written.

`color`

  A color identifier created with imagecolorallocate().

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.1.0 | The `font` parameter now accepts both an GdFont instance and an int; previously only int was accepted.
8.0.0 | `image` expects a GdImage instance now; previously, a valid `gd` resource was expected.

### Examples

Example #1 imagestring() example

    <?php
    // Create a 100*30 image
    $im = imagecreate(100, 30);

    // White background and blue text
    $bg = imagecolorallocate($im, 255, 255, 255);
    $textcolor = imagecolorallocate($im, 0, 0, 255);

    // Write the string at the top left
    imagestring($im, 5, 0, 0, 'Hello world!', $textcolor);

    // Output the image
    header('Content-type: image/png');

    imagepng($im);
    ?>

The above example will output something similar to:

### See Also

- imagestringup() - Draw a string vertically
- imageloadfont() - Load a new font
- imagettftext() - Write text to the image using TrueType fonts